png++ 0.2.10

Namespaces | Typedefs | Enumerations
types.hpp File Reference

Go to the source code of this file.

## Namespaces
namespace | png

## Typedefs
typedef png_byte | png::byte
typedef png_uint_16 | png::uint_16
typedef png_uint_32 | png::uint_32
typedef png_fixed_point | png::fixed_point
typedef png_color_8 | png::color_info
typedef png_color_16 | png::color_info_16

## Enumerations
enum | png::color_type { png::color_type_none = -1 , png::color_type_gray = PNG_COLOR_TYPE_GRAY , png::color_type_palette = PNG_COLOR_TYPE_PALETTE , png::color_type_rgb = PNG_COLOR_TYPE_RGB , png::color_type_rgb_alpha = PNG_COLOR_TYPE_RGB_ALPHA , png::color_type_gray_alpha = PNG_COLOR_TYPE_GRAY_ALPHA , png::color_type_rgba = PNG_COLOR_TYPE_RGBA , png::color_type_ga = PNG_COLOR_TYPE_GA }
enum | png::color_mask { png::color_mask_palette = PNG_COLOR_MASK_PALETTE , png::color_mask_color = PNG_COLOR_MASK_COLOR , png::color_mask_rgb = color_mask_color , png::color_mask_alpha = PNG_COLOR_MASK_ALPHA }
enum | png::filler_type { png::filler_before = PNG_FILLER_BEFORE , png::filler_after = PNG_FILLER_AFTER }
enum | png::rgb_to_gray_error_action { png::rgb_to_gray_silent = 1 , png::rgb_to_gray_warning = 2 , png::rgb_to_gray_error = 3 }
enum | png::interlace_type { png::interlace_none = PNG_INTERLACE_NONE , png::interlace_adam7 = PNG_INTERLACE_ADAM7 }
enum | png::compression_type { png::compression_type_base = PNG_COMPRESSION_TYPE_BASE , png::compression_type_default = PNG_COMPRESSION_TYPE_DEFAULT }
enum | png::filter_type { png::filter_type_base = PNG_FILTER_TYPE_BASE , png::intrapixel_differencing = PNG_INTRAPIXEL_DIFFERENCING , png::filter_type_default = PNG_FILTER_TYPE_DEFAULT }
enum | png::chunk { png::chunk_gAMA = PNG_INFO_gAMA , png::chunk_sBIT = PNG_INFO_sBIT , png::chunk_cHRM = PNG_INFO_cHRM , png::chunk_PLTE = PNG_INFO_PLTE , png::chunk_tRNS = PNG_INFO_tRNS , png::chunk_bKGD = PNG_INFO_bKGD , png::chunk_hIST = PNG_INFO_hIST , png::chunk_pHYs = PNG_INFO_pHYs , png::chunk_oFFs = PNG_INFO_oFFs , png::chunk_tIME = PNG_INFO_tIME , png::chunk_pCAL = PNG_INFO_pCAL , png::chunk_sRGB = PNG_INFO_sRGB , png::chunk_iCCP = PNG_INFO_iCCP , png::chunk_sPLT = PNG_INFO_sPLT , png::chunk_sCAL = PNG_INFO_sCAL , png::chunk_IDAT = PNG_INFO_IDAT }